apiVersion: networking.istio.io/v1alpha3
kind: Gateway # The gateway resource
metadata:
  name: view-cache-gateway # name of the resource
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - port:
        number: 80 # Globally expose the service on port 80
        name: http
        protocol: HTTP
      hosts:
        - "*"
---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService # The virtual service resource
metadata:
  name: view-cache
spec:
  hosts:
    - "*"
  gateways:
    - view-cache-gateway # refers to the resource name from the gateway section
  http:
    - match:
        - uri:
            prefix: /get-data # This route must be available on the service
      route:
        - destination:
            host: view-cache
            port:
              number: 4000 # The port of the service, defined in the deployment
